> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Models

> List all available AI models.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /agent/models
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /agent/models:
    get:
      tags:
        - agent
      summary: List Models
      description: List all available AI models.
      operationId: agent-list_models
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                additionalProperties:
                  $ref: '#/components/schemas/ModelConfig'
                type: object
                title: Response Agent-List Models
      security:
        - APIKeyCookie: []
components:
  schemas:
    ModelConfig:
      properties:
        name:
          type: string
          maxLength: 100
          minLength: 1
          title: Name
          description: >-
            The name of the model. This is used to identify the model in the
            system.
        provider:
          type: string
          maxLength: 100
          minLength: 1
          title: Provider
          description: >-
            The provider of the model. This is used to determine which
            organization secret to use for this model.
        catalog_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Catalog Id
          description: >-
            Optional catalog row backing this model selection. Populated for v2
            org-scoped cloud/custom catalog rows; left ``None`` for platform
            (built-in) models that resolve credentials via
            ``agent-{provider}-credentials``.
        org_secret_name:
          type: string
          maxLength: 200
          minLength: 1
          title: Org Secret Name
          description: >-
            The name of the organization secret to use for this model. This
            secret must be configured in the organization settings.
        secrets:
          $ref: '#/components/schemas/ModelSecretConfig'
          description: >-
            The secrets to use for this model. This is used to determine which
            organization secret to use for this model.
      type: object
      required:
        - name
        - provider
        - org_secret_name
        - secrets
      title: ModelConfig
    ModelSecretConfig:
      properties:
        required:
          items:
            type: string
          type: array
          title: Required
        optional:
          items:
            type: string
          type: array
          title: Optional
      type: object
      title: ModelSecretConfig
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth

````